## ide-pipeline-stage-transfer ide-pipeline-stage-transfer |

## Functions

IdePipelineStageTransfer * | ide_pipeline_stage_transfer_new ()

## Properties

gboolean | disable-when-metered | Read / Write
IdeTransfer * | transfer | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_PIPELINE_STAGE_TRANSFER
| IdePipelineStageTransfer

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdePipelineStage
                ╰── IdePipelineStageTransfer

## Description

## Functions

### ide_pipeline_stage_transfer_new ()

    IdePipelineStageTransfer *
    ide_pipeline_stage_transfer_new (IdeContext *context,
                                     IdeTransfer *transfer);

## Types and Values

### IDE_TYPE_PIPELINE_STAGE_TRANSFER

    #define IDE_TYPE_PIPELINE_STAGE_TRANSFER (ide_pipeline_stage_transfer_get_type())

### IdePipelineStageTransfer

    typedef struct _IdePipelineStageTransfer IdePipelineStageTransfer;

## Property Details

### The `“disable-when-metered”` property

      “disable-when-metered”     gboolean

If the transfer should fail when on a metered connection.

Owner: IdePipelineStageTransfer

Flags: Read / Write

Default value: TRUE

### The `“transfer”` property

      “transfer”                 IdeTransfer *

The transfer to perform as part of the stage.

Owner: IdePipelineStageTransfer

Flags: Read / Write / Construct Only